|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.atlassian.plugin.webresource.PluginResourceLocatorImpl
public class PluginResourceLocatorImpl
Default implementation of PluginResourceLocator.
| Field Summary | |
|---|---|
static java.lang.String |
PLUGIN_WEBRESOURCE_BATCHING_OFF
|
| Constructor Summary | |
|---|---|
PluginResourceLocatorImpl(PluginAccessor pluginAccessor,
ServletContextFactory servletContextFactory)
|
|
| Method Summary | |
|---|---|
DownloadableResource |
getDownloadableResource(java.lang.String url,
java.util.Map<java.lang.String,java.lang.String> queryParams)
Returns a DownloadableResource represented by the given url and query params. |
java.util.List<PluginResource> |
getPluginResources(java.lang.String moduleCompleteKey)
Returns a list of PluginResources for a given plugin module's complete key. |
java.lang.String |
getResourceUrl(java.lang.String moduleCompleteKey,
java.lang.String resourceName)
Constructs and returns url for the given resource. |
boolean |
matches(java.lang.String url)
Returns true if this locator can parse the given url. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final java.lang.String PLUGIN_WEBRESOURCE_BATCHING_OFF
| Constructor Detail |
|---|
public PluginResourceLocatorImpl(PluginAccessor pluginAccessor,
ServletContextFactory servletContextFactory)
| Method Detail |
|---|
public boolean matches(java.lang.String url)
PluginResourceLocator
matches in interface PluginResourceLocator
public DownloadableResource getDownloadableResource(java.lang.String url,
java.util.Map<java.lang.String,java.lang.String> queryParams)
PluginResourceLocatorDownloadableResource represented by the given url and query params.
PluginResourceLocator.matches(String) should be called before invoking this method. If the url is
not understood by the locator, null will be returned.
getDownloadableResource in interface PluginResourceLocatorpublic java.util.List<PluginResource> getPluginResources(java.lang.String moduleCompleteKey)
PluginResourceLocatorPluginResources for a given plugin module's complete key. If
the plugin the module belongs to is not enabled or does not exist, an empty list is returned.
getPluginResources in interface PluginResourceLocator
public java.lang.String getResourceUrl(java.lang.String moduleCompleteKey,
java.lang.String resourceName)
PluginResourceLocator
getResourceUrl in interface PluginResourceLocatormoduleCompleteKey - a plugin module's complete keyresourceName - the name of the resource described in the module
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||